import React from 'react';
import Header from '../../components/CommonComponent/HeaderComponent/HeaderComponent';
import LeftContainer from '../LeftContainer/LeftContainer';
import RightContainer from '../RightContainer/RightContainer';
import RecovertyFirstPage from '../../components/RecoveryComponent/RecoveryFirstPage/RecoveryFirstPage'
import RecoverySecondPage from '../../components/RecoveryComponent/RecoverySecondPage/RecoverySecondPage'
import Button from '../../components/CommonComponent/ButtonComponent/ButtonComponent'
require('./index.css');

const recoveryPageIndex = {
    1 : "boxRecovery",
    2 : "shelfRecovery"
}

export default class RecoveryContainer extends React.Component{
    constructor(props){
        super(props);
        this.state = {
            showPage : recoveryPageIndex[1] //展示回收箱页面
        };
        this.getFirstPage = this.getFirstPage.bind(this);
        this.wrongQrcode = this.wrongQrcode.bind(this); //扫描错误商品
        this.correctQrcode = this.correctQrcode.bind(this); //扫描正确商品
        this.putSkuToBox = this.putSkuToBox.bind(this); //将商品放入回收箱
        this.getSecondPage = this.getSecondPage.bind(this); //展示第二页
        this.finishBoxRecovery = this.finishBoxRecovery.bind(this); //完成回收箱商品回收
        this.getPage = this.getPage.bind(this); //获取要展示的页面

    }

    componentWillMount() {
        let props = this.props;
        console.log("props ",this.props)
        if(!props.whetherType){
            console.log("没有回收箱物品")
            //没有回收箱物品
            this.setState({
                showPage : recoveryPageIndex[2]
            })

        }
    }

    componentWillReceiveProps(nextProps){

    }

    finishBoxRecovery(){
        //完成回收箱物品回收
        this.setState({
            showPage : recoveryPageIndex[2]
        })
    }


    getPopInfo(){
        let btnWidth = "410px";
        let btnDom = <Button key={"recoveryContainerCorrectQrcode"} style={{'width':btnWidth,'display':'inline-block'}} text={"我已放入回收箱"} option={this.putSkuToBox}/>
        return (
            <div className={"recoveryPopInfo"}>
                <div className={"icon iconfont icon-correct font90"} />
                <div className={"text font30 col000"}>
                    <p>货品信息匹配正确！</p>
                    <p>请将货品放入回收箱</p>
                </div>
                {btnDom}
            </div>
        )
    }

    wrongQrcode(){
        //拿错货品
        let {showPopup,hidePopup} = this.props;
        let btnWidth = "410px";
        let btnDom = <Button key={"recoveryContainerCorrectQrcode"} style={{'width':btnWidth,'display':'inline-block'}} text={"关闭"} option={hidePopup}/>
        let popDom =
            <div className={"recoveryPopInfo"}>
                <div className={"icon iconfont icon-wrong font90"} />
                <div className={"text font30 col000"}>
                    <p>您拿错货品了，请放回货架！</p>
                </div>
                {btnDom}
            </div>
        showPopup({
            popupChild:popDom
        });
    }

    correctQrcode(){
        let {showPopup} = this.props;
        let popDom = this.getPopInfo();
        showPopup({
            popupChild:popDom
        });
    }

    putSkuToBox(){
        //调取接口，将商品放入回收箱
    }

    getFirstPage(){
        return (
            <RecovertyFirstPage finishBoxRecovery={()=>this.finishBoxRecovery()}/>
        )
    }
    getSecondPage(){
        return (
            <RecoverySecondPage />
        )
    }

    getPage(){
        console.log("getPage ",this.state.showPage)
        switch (this.state.showPage){
            case recoveryPageIndex[1]:
                return this.getFirstPage();
            case recoveryPageIndex[2]:
                return this.getSecondPage();
        }
    }

    render(){
        let dom = this.getPage();
        let props = this.props;
        return(
            <div className={"recoveryContainer page"}>
                {
                    props.headerInfo && props.headerInfo.storeInfo ?
                        <Header headerInfo={props.headerInfo}/> : null
                }

                <LeftContainer />
                <RightContainer>
                    {
                        dom
                    }
                </RightContainer>
            </div>
        )
    }
}
